/******************************************************************************
                                     VOL22.TTP
                       Written for Runtime by Les Kneeling

This routine allows you to name a disk after it has been formatted. So if you
have formatted a disk from the Desktop and forgot to name it, run VOL22. Type
the name that you want the disk to have into the TTP dialog box and it will be
applied to the disk in drive A.

VOL22 cannot rename a disk - the jiggery-pokery needed to do that would not fit
into 22 lines. If you attempt to do this an error message will tell you.

*****************************************************************************/
#include <stdio.h>
#include <osbind.h>

main(argc, argv ) 
int argc;
char **argv;
{
char volname[20];
if( argc != 2 ) { puts("Need volume name" ); Cconin(); exit(1); }
if( Fsfirst( "A:*.*", 0x08 ) < 0 )
    {
    strcpy( volname, "A:\\" );
    strcat( volname, argv[1] );
    Fclose( Fcreate( volname, 0x08 ) );
    }
else
    {
    puts("Disk is already named");
    Cconin();
    }
}
